%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:           nodejs-resolve
Version:        1.1.6
Release:        1%{?dist}.2
Summary:        Resolve like require.resolve() on behalf of files asynchronously/synchronously

License:        MIT
Group:          System Environment/Libraries
URL:            https://github.com/substack/node-resolve
Source0:        https://registry.npmjs.org/resolve/-/resolve-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
BuildRequires:  npm(tape)
%endif

%description
%{summary}.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/resolve
cp -pr package.json index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/resolve

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%tap test/*.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc readme.markdown example/
%license LICENSE
%{nodejs_sitelib}/resolve


%changelog
* Fri Jan  8 2016 Tom Hughes <tom@compton.nu> - 1.1.6-1
- Update to 1.1.6 upstream release
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild
* Sat Jun  7 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild
* Tue Sep  3 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.5.0-1
- update to upstream release 0.5.0
* Sat Aug  3 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
* Thu Jul 11 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.0-2
- add ExclusiveArch logic
* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.0-1
- initial package
